/** 
*WanYou Cloud App
* Defined an App to manage unas WanYouCloud service
*/
var WanYouCloudApp = WanYouCloudApp || {};  //Define WanYouCloud App namespace.
/**
*Constructor UNAS App
*/
WanYouCloudApp.App = function () {
    this.id = 'WanYou Cloud Service';
    this.name = 'WanYou Cloud Service';
    this.version = '6.0.77';
    this.active = false;
    this.menuIcon = '/apps/wanyoucloud/images/logo.png?v='+this.version;
    this.shortcutIcon = '/apps/wanyoucloud/images/logo.png?v='+this.version;
    this.entryUrl = '/apps/wanyoucloud/wanyoucloud.html?v='+this.version;
    var self = this;
    this.WanYouCloudAppWindow = function () {
        if(UNAS.CheckAppState('WanYou Cloud Service')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'WanYouCloudAppWindow',
            title: UNAS._('WanYou Cloud Service'),
            icon: '/apps/wanyoucloud/images/logo_small.png?v='+this.version,
            loadMethod: 'xhr',
            width: 800,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/wanyoucloud/wanyoucloud.html??v='+this.version,
            require: {  css: ['/apps/wanyoucloud/css/wanyoucloud.css??v='+this.version] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("WanYou Cloud Service",'WanYouCloudAppWindow')}
         });
    };
    this.WanYouCloudUninstall = function (){
        UNAS.RemoveDesktopShortcut('WanYou Cloud Service');
        UNAS.RemoveMenu('WanYou Cloud Service');
        UNAS.RemoveAppFromGroups('WanYou Cloud Service', 'ControlPanel');
        UNAS.RemoveAppFromGroups('WanYou Cloud Service', 'Help');
        UNAS.RemoveAppFromApps('WanYou Cloud Service');
    };
    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'WanYou Cloud Service', '', this.WanYouCloudAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'WanYou Cloud Service', this.WanYouCloudAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {"Type" : "Network", "Location" : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {"Type" : "Network", "Location" : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('WanYou Cloud Service', UNAS._('WanYou Cloud Service')); //translate menu
        //UNAS.SetShortcutTitle('WanYou Cloud Service', UNAS._('WanYou Cloud Service'));
        if (typeof self.window !== 'undefined') {
            new window.top.UNAS.TranslatePage('WanYouCloudAppWindow');
        }
    };
    UNAS.LoadTranslation('/apps/wanyoucloud/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.WanYouCloudAppWindow, this.WanYouCloudUninstall);
};

new WanYouCloudApp.App();
