SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for favorites
-- ----------------------------
CREATE TABLE IF NOT EXISTS `favorites` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `node_path` varchar(500) NOT NULL DEFAULT '' COMMENT '节点路径',
  `title` varchar(255) DEFAULT '' COMMENT '文件名称',
  `is_dir` tinyint(4) DEFAULT '0' COMMENT '是否文件夹，1是，0否',
  `node_type` tinyint(4) DEFAULT '0' COMMENT '1图片，2文档，3视频，4音乐，5其他',
  `user_id` int(11) NOT NULL COMMENT '收藏者',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT '状态：1正常，-1删除',
  `created` int(11) DEFAULT '0' COMMENT '创建时间',
  `updated` int(11) DEFAULT '0' COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='收藏表';

-- ----------------------------
-- Table structure for file_type
-- ----------------------------
CREATE TABLE IF NOT EXISTS `file_type` (
  `type` tinyint(4) DEFAULT '0' COMMENT '1图片，2文档，3视频，4音乐',
  `extension` varchar(255) NOT NULL DEFAULT '',
  `status` tinyint(4) DEFAULT '1' COMMENT '-1无效，1有效'
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- 导入file_type表数据
INSERT INTO `file_type` VALUES ('1', 'jpg', '1');
INSERT INTO `file_type` VALUES ('1', 'png', '1');
INSERT INTO `file_type` VALUES ('1', 'jpeg', '1');
INSERT INTO `file_type` VALUES ('1', 'bmp', '1');
INSERT INTO `file_type` VALUES ('1', 'gif', '1');
INSERT INTO `file_type` VALUES ('1', 'psd', '1');
INSERT INTO `file_type` VALUES ('1', 'heic', '1');

INSERT INTO `file_type` VALUES ('1', 'pcx ', '1');
INSERT INTO `file_type` VALUES ('1', 'tga ', '1');
INSERT INTO `file_type` VALUES ('1', 'tiff ', '1');
INSERT INTO `file_type` VALUES ('1', 'tif ', '1');

INSERT INTO `file_type` VALUES ('2', 'txt', '1');
INSERT INTO `file_type` VALUES ('2', 'ini', '1');
INSERT INTO `file_type` VALUES ('2', 'html', '1');
INSERT INTO `file_type` VALUES ('2', 'js', '1');

INSERT INTO `file_type` VALUES ('21', 'pdf', '1');
INSERT INTO `file_type` VALUES ('22', 'ppt', '1');
INSERT INTO `file_type` VALUES ('22', 'pptx', '1');
INSERT INTO `file_type` VALUES ('22', 'wpt', '1');
INSERT INTO `file_type` VALUES ('22', 'dps', '1');
INSERT INTO `file_type` VALUES ('22', 'dpt', '1');
INSERT INTO `file_type` VALUES ('22', 'pps', '1');
INSERT INTO `file_type` VALUES ('22', 'pot', '1');

INSERT INTO `file_type` VALUES ('23', 'doc', '1');
INSERT INTO `file_type` VALUES ('23', 'docx', '1');
INSERT INTO `file_type` VALUES ('23', 'wps', '1');

INSERT INTO `file_type` VALUES ('24', 'xls', '1');
INSERT INTO `file_type` VALUES ('24', 'xlsx', '1');
INSERT INTO `file_type` VALUES ('24', 'et', '1');
INSERT INTO `file_type` VALUES ('24', 'ett', '1');
INSERT INTO `file_type` VALUES ('24', 'xlt', '1');
INSERT INTO `file_type` VALUES ('24', 'xlsm', '1');

INSERT INTO `file_type` VALUES ('25', 'torrent', '1');

INSERT INTO `file_type` VALUES ('3', 'avi', '1');
INSERT INTO `file_type` VALUES ('3', 'wmv', '1');
INSERT INTO `file_type` VALUES ('3', 'rm', '1');
INSERT INTO `file_type` VALUES ('3', 'rmvb', '1');
INSERT INTO `file_type` VALUES ('3', 'mkv', '1');
INSERT INTO `file_type` VALUES ('3', '3gp', '1');
INSERT INTO `file_type` VALUES ('3', 'f4v', '1');
INSERT INTO `file_type` VALUES ('3', 'm4v', '1');
INSERT INTO `file_type` VALUES ('3', 'mpg', '1');
INSERT INTO `file_type` VALUES ('3', 'flv', '1');
INSERT INTO `file_type` VALUES ('3', 'vob', '1');
INSERT INTO `file_type` VALUES ('3', 'mov', '1');
INSERT INTO `file_type` VALUES ('3', 'mp4', '1');
INSERT INTO `file_type` VALUES ('3', 'dv', '1');
INSERT INTO `file_type` VALUES ('3', 'asf', '1');
INSERT INTO `file_type` VALUES ('3', 'm2ts', '1');
INSERT INTO `file_type` VALUES ('3', 'm2t', '1');
INSERT INTO `file_type` VALUES ('3', 'xvid', '1');
INSERT INTO `file_type` VALUES ('3', 'divx', '1');
INSERT INTO `file_type` VALUES ('3', 'mpeg', '1');
INSERT INTO `file_type` VALUES ('3', 'mts', '1');
INSERT INTO `file_type` VALUES ('3', 'ts', '1');
INSERT INTO `file_type` VALUES ('3', 'tivo', '1');
INSERT INTO `file_type` VALUES ('3', 'hevc', '1');

INSERT INTO `file_type` VALUES ('4', 'mp3', '1');
INSERT INTO `file_type` VALUES ('4', 'amr', '1');
INSERT INTO `file_type` VALUES ('4', 'wav', '1');
INSERT INTO `file_type` VALUES ('4', 'flac', '1');
INSERT INTO `file_type` VALUES ('4', 'ape', '1');
INSERT INTO `file_type` VALUES ('4', 'm4a', '1');
INSERT INTO `file_type` VALUES ('4', 'aac', '1');

INSERT INTO `file_type` VALUES ('4', 'au ', '1');
INSERT INTO `file_type` VALUES ('4', 'aiff ', '1');
INSERT INTO `file_type` VALUES ('4', 'ogg ', '1');
INSERT INTO `file_type` VALUES ('4', 'wma ', '1');
INSERT INTO `file_type` VALUES ('4', 'asf ', '1');
INSERT INTO `file_type` VALUES ('4', 'ac3 ', '1');
INSERT INTO `file_type` VALUES ('4', 'mp2 ', '1');
INSERT INTO `file_type` VALUES ('4', '3g2 ', '1');
INSERT INTO `file_type` VALUES ('4', 'pcm ', '1');
INSERT INTO `file_type` VALUES ('4', 'flc', '1');
INSERT INTO `file_type` VALUES ('4', 'fla', '1');

INSERT INTO `file_type` VALUES ('6', 'rar ', '1');
INSERT INTO `file_type` VALUES ('6', 'zip ', '1');
INSERT INTO `file_type` VALUES ('6', 'iso ', '1');
INSERT INTO `file_type` VALUES ('6', 'jar ', '1');
INSERT INTO `file_type` VALUES ('6', '7z ', '1');
INSERT INTO `file_type` VALUES ('6', 'tar ', '1');
INSERT INTO `file_type` VALUES ('6', 'gz', '1');
INSERT INTO `file_type` VALUES ('6', 'bz2 ', '1');
INSERT INTO `file_type` VALUES ('6', 'tgz ', '1');

INSERT INTO `file_type` VALUES ('7', 'vcf ', '1');

-- ----------------------------
-- Table structure for message
-- ----------------------------
CREATE TABLE IF NOT EXISTS `message`  (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `user_id` int(11) NULL DEFAULT 0 COMMENT '消息发送者',
    `node_id` int(11) NULL DEFAULT 0 COMMENT '节点id',
    `node_path` varchar(500) NOT NULL DEFAULT '' COMMENT '节点路径',
    `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '消息类型：1普通消息、2创建/初次共享、3权限变更、4取消共享、5内容更新、6分享、7同步任务降级、8同步任务取消',
    `status` tinyint(4) NOT NULL DEFAULT 1 COMMENT '状态：1正常（未读），-1删除，2已读',
    `title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '消息标题',
    `content` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '消息详情',
    `created` int(11) NULL DEFAULT 0 COMMENT '创建时间',
    `share_user` int(11) NULL DEFAULT 0 COMMENT '消息接收者',
    PRIMARY KEY (`id`) USING BTREE,
    INDEX `title`(`title`) USING BTREE,
    INDEX `user_id`(`user_id`, `node_path`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for notice
-- ----------------------------
CREATE TABLE IF NOT EXISTS `notice`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NULL DEFAULT 0,
  `node_path` varchar(500) NOT NULL DEFAULT '' COMMENT '节点路径',
  `type` tinyint(4) NOT NULL DEFAULT 0 COMMENT '通知类型：1文件、2共享、3系统',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT '状态：1正常（未读），-1删除，2已读',
  `title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '通知标题',
  `content` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '通知详情',
  `version` varchar(100) NOT NULL DEFAULT '' COMMENT '通知标题',
  `created` int(11) NULL DEFAULT 0 COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `title`(`title`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for users
-- ----------------------------
CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(255) NOT NULL COMMENT '密码',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT '状态：1正常，-1删除',
  `is_admin` tinyint(4) DEFAULT '0' COMMENT '是否是管理员，1是，0否',
  `had_pwd_changed` tinyint(4) DEFAULT '0' COMMENT '是否有修改过密码，1是，0否',
  `mobile` varchar(20) DEFAULT '',
  `email` varchar(100) DEFAULT '',
  `job_number` varchar(50) DEFAULT '' COMMENT '工号',
  `private_space_size` int(11) DEFAULT '0' COMMENT '个人云盘大小',
  `third_userid` varchar(100) DEFAULT '' COMMENT '对应第三方的userid',
  `allow_use_mount_disk` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否允许使用外部存储',
  `created` int(11) DEFAULT '0' COMMENT '创建时间',
  `updated` int(11) DEFAULT '0' COMMENT '更新时间',
  `last_login` int(11) DEFAULT '0' COMMENT '上次登录时间',
  `img_key` varchar(100) DEFAULT '' COMMENT '用户头像key',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='用户表';

-- ----------------------------
-- Table structure for decompression
-- ----------------------------
CREATE TABLE `decompression` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name_list` varchar(500) NOT NULL DEFAULT '' COMMENT '节点名称列表',
  `title` varchar(255) DEFAULT '' COMMENT '解压缩文件名称',
  `path` varchar(255) DEFAULT '' COMMENT '文件所在目录',
  `file_size` bigint(20) DEFAULT 0 COMMENT '要压缩的文件和文件夹大小：单位byte',
  `size` bigint(20) DEFAULT 0 COMMENT '已压缩大小：单位byte',
  `file_type` tinyint(4) DEFAULT 1 COMMENT '1 tar, 2 tgz, 3 tbz, 4 xz, 5 zip, 6 rar, 7 7z',
  `type` tinyint(4) DEFAULT 1 COMMENT '1 压缩, 2 解压',
  `extract_type` tinyint(4) DEFAULT 1 COMMENT '1 解压至选择目录/当前目录 2解压至文件同名目录',
  `user_id` int(11) NOT NULL COMMENT '用户id',
  `status` tinyint(4) NOT NULL DEFAULT 0 COMMENT '状态：0 等待中，1 成功，-1 失败, 2 压缩中, 3 解压中',
  `progress` int(11) DEFAULT 0 COMMENT '解压缩进度',
  `created` int(11) DEFAULT 0 COMMENT '创建时间',
  `updated` int(11) DEFAULT 0 COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=COMPACT COMMENT='解压缩表';