#!/usr/bin/env python3

import sys

from samba.samba3 import param as s3param
from samba.auth_util import system_session_unix
from samba.ntacls import getntacl

def main():
    session_info = system_session_unix()
    file = sys.argv[1]
    s3conf = s3param.get_context()
    # This step is to lock one db
    s3conf.load_default()

    print(getntacl(s3conf, file, session_info, service=None, direct_db_access=False).as_sddl())

if __name__ == '__main__':
    main()
